GDAL_CONTOUR(1)

NAME
gdal_contour - Builds vector contour lines from a raster elevation model.

SYNOPSIS

gdal_contour [--help] [--help-general]
             [-b <band>] [-a <attribute_name>] [-amin <attribute_name>] [-amax <attribute_name>]
             [-3d] [-inodata] [-snodata <n>] [-f <formatname>] [-i <interval>]
             [-dsco <NAME>=<VALUE>]... [-lco <NAME>=<VALUE>]...
             [-off <offset>] [-fl <level> <level>...] [-e <exp_base>]
             [-nln <outlayername>] [-q] [-p]
             <src_filename> <dst_filename>

DESCRIPTION

The gdal_contour generates a vector contour file from the input raster elevation model (DEM).

The contour line-strings are oriented consistently and the high side will be on the right, i.e. a line string goes clockwise around a top.

--help
    Show this help message and exit

--help-general
    Gives a brief usage message for the generic GDAL commandline options and exit.

-b <band>
    Picks a particular band to get the DEM from. Defaults to band 1.

-a <name>
    Provides a name for the attribute in which to put the elevation. If not provided no elevation attribute is attached. Ignored in polygonal contouring (-p) mode.

-amin <name>
    Provides a name for the attribute in which to put the minimum elevation of contour polygon. If not provided no minimum elevation attribute is attached. Ignored in default line contouring mode.

    New in version 2.4.0.

-amax <name>
    Provides a name for the attribute in which to put the maximum elevation of contour polygon. If not provided no maximum elevation attribute is attached. Ignored in default line contouring mode.

    New in version 2.4.0.

-3d Force production of 3D vectors instead of 2D. Includes elevation at every vertex.

-inodata
    Ignore any nodata value implied in the dataset - treat all values as valid.

-snodata <value>
    Input pixel value to treat as "nodata".

-f <format>
    Create output in a particular format.

    New in version 2.3.0: If not specified, the format is guessed from the extension (previously was ESRI Shapefile).

-dsco <NAME>=<VALUE>
    Dataset creation option (format specific)

-lco <NAME>=<VALUE>
    Layer creation option (format specific)

-i <interval>
    Elevation interval between contours.

-off <offset>
    Offset from zero relative to which to interpret intervals.

-fl <level>
    Name one or more "fixed levels" to extract.

-e <base>
    Generate levels on an exponential scale: base ^ k, for k an integer.

    New in version 2.4.0.

-nln <name>
    Provide a name for the output vector layer. Defaults to "contour".

-p  Generate contour polygons rather than contour lines.

    New in version 2.4.0.

-q  Be quiet.

C API

Functionality of this utility can be done from C with GDALContourGenerate().

EXAMPLE

This would create 10-meter contours from the DEM data in dem.tif and produce a shapefile in contour.shp|shx|dbf with the contour elevations in the elev attribute.

gdal_contour -a elev dem.tif contour.shp -i 10.0

AUTHOR
Frank Warmerdam <warmerdam@pobox.com>, Silke Reimer <silke@intevation.de>

COPYRIGHT
1998-2024